curl --request POST \
--url https://public-api.ibana.io/v1/counterparty \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "[email protected]",
"name": "John Doe",
"description": "Supplier for monthly raw material",
"vat": "GB123456789",
"accountsPayableNumber": 30001,
"accountsReceivableNumber": 10001,
"street": "Main Street 123",
"city": "Vienna",
"zip": "1010",
"country": "AT",
"paymentTermsDays": 30,
"skontoPercentage": 2.5,
"skontoDays": 10,
"defaultLedgerAccount": "0000 - Ledger Account Name",
"paymentReminderEmails": "<string>"
}
'import requests
url = "https://public-api.ibana.io/v1/counterparty"
payload = {
"email": "[email protected]",
"name": "John Doe",
"description": "Supplier for monthly raw material",
"vat": "GB123456789",
"accountsPayableNumber": 30001,
"accountsReceivableNumber": 10001,
"street": "Main Street 123",
"city": "Vienna",
"zip": "1010",
"country": "AT",
"paymentTermsDays": 30,
"skontoPercentage": 2.5,
"skontoDays": 10,
"defaultLedgerAccount": "0000 - Ledger Account Name",
"paymentReminderEmails": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
email: '[email protected]',
name: 'John Doe',
description: 'Supplier for monthly raw material',
vat: 'GB123456789',
accountsPayableNumber: 30001,
accountsReceivableNumber: 10001,
street: 'Main Street 123',
city: 'Vienna',
zip: '1010',
country: 'AT',
paymentTermsDays: 30,
skontoPercentage: 2.5,
skontoDays: 10,
defaultLedgerAccount: '0000 - Ledger Account Name',
paymentReminderEmails: '<string>'
})
};
fetch('https://public-api.ibana.io/v1/counterparty', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"archivedAt": "2023-11-07T05:31:56Z",
"email": "<string>",
"name": "<string>",
"description": "<string>",
"vat": "<string>",
"accountsPayableNumber": "22 0391919",
"street": "<string>",
"city": "<string>",
"zip": "<string>",
"country": "<string>",
"paymentTermsDays": 123,
"skontoPercentage": 123,
"skontoDays": 123,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"bankAccount": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"transactions": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"amount": 123,
"remittanceInformation": "<string>",
"requestedExecutionDate": "2023-11-07T05:31:56Z",
"skontoAmount": 123,
"skontoDate": "2023-11-07T05:31:56Z",
"ignoreSkontoDeadline": true,
"express": true,
"creditor": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"debitor": {
"name": "<string>",
"iban": "<string>",
"bic": "<string>",
"countryCode": "<string>",
"address": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"analysis": {
"analysisRules": {
"markedOk": true,
"markedOkReason": "<string>",
"markedOkDate": "2023-11-07T05:31:56Z",
"value": "<string>",
"markedOkUser": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"archived": true,
"archivedDate": "2023-11-07T05:31:56Z",
"archivedByUser": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"paymentRun": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdById": "<string>",
"createdByName": "<string>",
"organizationId": "<string>",
"sumAmount": 123,
"sumAmountWithSkonto": 123,
"sumBookedAmount": 123,
"sumAmountEur": 123,
"transactionCount": 123,
"batchBooking": true
},
"counterparty": "<unknown>",
"invoice": {
"id": "<string>",
"invoiceNumber": "<string>",
"status": "<string>",
"totalAmount": 123,
"dueDate": "2023-11-07T05:31:56Z",
"invoiceDate": "2023-11-07T05:31:56Z",
"currency": "<string>"
}
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedBy": {
"email": "<string>",
"name": "<string>",
"authId": "<string>",
"role": "<string>",
"hasPushNotification": true,
"organization": {
"name": "<string>",
"slug": "<string>",
"logoFileName": "<string>",
"country": "<string>",
"vatNumber": "<string>",
"featureFlags": [
{
"featureName": "<string>",
"isEnabled": true,
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"baseCurrency": "EUR",
"paymentRunBatchBooking": true,
"paymentRunVerificationOfPayee": true,
"invoiceExportIncludeForeignCurrencies": true,
"allowDirectInvoiceApproval": true,
"allowDirectPaymentRunApproval": true,
"customExportFormats": [
"custom_experta"
],
"apInvoiceBookingTextTemplate": "[\"counterparty-name\",\"invoice-number\",\"notes\"]",
"autoPopulateCustomerEmailFromMetadata": true,
"autoPopulateSupplierEmailFromMetadata": true,
"excludedEmailDomains": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"inCaseOfLawCustomerId": "<string>",
"cardCommonBookingTargetName": "<string>",
"cardCommonBookingTargetAccountsPayableNumber": "<string>",
"cardFxDifferenceLedgerAccount": "<string>"
},
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"featureFlags": []
},
"apBalance": {
"openInvoiceAmount": 123,
"approvedOpenCreditNoteAmount": 123,
"manualCreditAmount": 123,
"totalAvailableCredit": 123,
"netPayableAmount": 123,
"remainingCreditBalance": 123,
"scheduledBankTransferAmount": 123,
"remainingToScheduleAmount": 123,
"unapprovedCreditNoteAmount": 123,
"appliedInvoiceCreditAmount": 123,
"balancesByCurrency": [
{
"approvedOpenCreditNoteAmount": 123,
"manualCreditAmount": 123,
"totalAvailableCredit": 123,
"appliedInvoiceCreditAmount": 123,
"remainingCreditBalance": 123
}
]
}
}Create counterparty
Create a new counterparty.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
The email of the counterparty.
Name of the counterparty.
"John Doe"
Description of the counterparty to.
"Supplier for monthly raw material"
VAT number used in the EU if the counterparty is a company
"GB123456789"
Accounts payable number of the counterparty. Used in bookkeeping.
30001
How to set the accounts payable number for this counterparty.
AUTO, MANUAL, NONE Accounts receivable number of the counterparty. Used in bookkeeping.
10001
Street name and number of the counterparty.
"Main Street 123"
City of the counterparty.
"Vienna"
ZIP or postal code of the counterparty.
"1010"
Country of the counterparty using ISO 3166-1 alpha-2 code.
"AT"
Payment term in days
30
Early payment discount percentage
2.5
Days for early payment discount
10
Default ledger account of the counterparty. Used in invoices.
"0000 - Ledger Account Name"
Bank account of the counterparty
Show child attributes
Show child attributes
Email addresses for payment reminders, separated by commas
Default bookkeeping behavior for card-paid invoices of this counterparty.
INVOICE_COUNTERPARTY, ORG_CARD_COMMON Response
When the counterparty was archived, null if active.
The email of the counterparty.
The name of the counterparty.
The description of the counterparty.
The EU VAT number of the counterparty.
Accounts payable number of the counterparty. Used in bookkeeping.
"22 0391919"
How accounts payable number is managed for this counterparty.
AUTO, MANUAL, NONE Street name and number of the counterparty.
City of the counterparty.
ZIP or postal code of the counterparty.
Country of the counterparty using ISO 3166-1 alpha-2 code.
Payment term in days
Early payment discount percentage
Days for early payment discount
The organization of the counterparty.
Show child attributes
Show child attributes
The bank account of the counterparty.
Show child attributes
Show child attributes
The transactions of the counterparty.
Show child attributes
Show child attributes
Default booking preference for card-paid invoices of this counterparty.
INVOICE_COUNTERPARTY, ORG_CARD_COMMON The unique identifier of the entity.
The date and time the entity was created.
The date and time the entity was last updated.
The user that archived the counterparty.
Show child attributes
Show child attributes
Derived AP balance for this counterparty.
Show child attributes
Show child attributes
Was this page helpful?

